
.include "sys.h"

	config __FICD	JTAGEN_OFF & ICS_PGD2
	config __FPOR	ALTI2C1_OFF & ALTI2C2_OFF & WDTWIN_WIN25
	config __FWDT	FWDTEN_OFF & WINDIS_OFF & WDTPRE_PR32 & WDTPOST_PS64
	config __FOSC	FCKSM_CSECMD & OSCIOFNC_ON & POSCMD_NONE & IOL1WAY_OFF
	config __FOSCSEL FNOSC_FRCPLL & IESO_OFF
;	config __FGS	GCP_OFF & GWRP_OFF

.section .init,code

.global __resetPRI


__resetPRI:     
        .weak  __reset

.section .text
.global __DefaultInterrupt

__DefaultInterrupt:
	nop
	bra     $-2

__reset:
	mov      #__SP_init,w15    ; initialize w15
	mov      #__SPLIM_init,w0  ; 
	mov      w0,_SPLIM         ; initialize SPLIM

	mov	#0x200, w0
	mov	w0, DSRPAG
;	mov	w0, DSWPAG

.IF USE_DEBUG_UART
	mov	#0xf7be, w0
	mov	w0, PMD1
	mov	#0xffef, w0
	mov	w0, PMD7
.ELSE
	mov	#0xf7fe, w0
	mov	w0, PMD1
	mov	#0xffff, w0
	mov	w0, PMD7
.ENDIF
	mov	#0xffff, w0
	mov	w0, PMD2
	mov	w0, PMD3
	mov	w0, PMD4
	mov	w0, PMD6

/*
11,5V
15,40 mA all on
11,70 mA pwrsav	#IDLE_MODE
10,30 mA PMD all off
*/

;	mov	#0xB040, w0
;	mov	w0, CLKDIV
;	bset	CLKDIV, #DOZEN

/* ----------- Init Oscillator ------------------------------------------ */

	mov	#PLL_DIV, w0
	mov	w0, PLLFBD	;Setup PLL multiplier value

OSC_Wait:
	btsc	OSCCON, #OSWEN		; Wait until oscillator switch finished
	bra	OSC_Wait

/* ----------- Init Port ------------------------------------------------ */
	clr	CNPUA
	clr	CNPUB

	;            12   8   4   0
	;             |   |   |   |
	mov	#0b0000000000000000, W0
	mov	W0, PORTA
.IF USE_DEBUG_UART
	mov	#0b0000000000001000, W0
.ELSE
	mov	#0b0000000000000000, W0
.ENDIF
	mov	W0, PORTB

	;            12   8   4   0
	;             |   |   |   |
	mov	#0b1111111111111111, W0
	mov	W0, TRISA
	mov	#0b1111111111111110, W0
	mov	W0, CNPDA
.IF USE_DEBUG_UART
	mov	#0b0111111111110111, W0
.ELSE
	mov	#0b0111111111111111, W0
.ENDIF
	mov	W0, TRISB
	mov	W0, CNPDB


	clr	ODCA
	clr	ODCB

/* ----------- Init UART Pin -------------------------------------------- */

.IF USE_DEBUG_UART

/* RB1/AN3 RB4/AN5 analog input (0x010F) --> digital I/O (0x0106) */
	mov	#0x0105, w0
	mov	w0, ANSELB
/*
	mov	#OSCCON, w1
	mov	#0x46, w2
	mov	#0x57, w3
	mov.b	w2, [w1]
	mov.b	w3, [w1]
	bclr	OSCCON, #6
*/

/* RB1/RPI33 --> U2RX    UART2 Receive */
	mov	#33, w0
	mov	w0, RPINR19


/* U2TX --> RB4/RP35 */
	mov	#0x0300, w0
	mov	w0, RPOR0
/*
	mov	#OSCCON, w1
	mov	#0x46, w2
	mov	#0x57, w3
	mov.b	w2, [w1]
	mov.b	w3, [w1]
	bset	OSCCON, #6
*/
.ENDIF

	call	main		; call user's main()

	.pword 0xDA4000		; halt the simulator
	reset			; reset the processor
.end
