
.include "sys.h"

	BRGVAL = (((FCY/BAUDRATE) + 7) / 16) - 1 

.section .nbss, bss, near
RxD_buffer:	.space MAX_RS_BUFFER
TxD_buffer:	.space MAX_RS_BUFFER

.global TxD_buffer
.global RxD_buffer

.section .text
.global InitUART1
.global __DMA0Interrupt
.global Start_UART1_TxD
.global ReStart_UART1_TxD
.global GetByte_UART1_RxD

InitUART1:
	bclr	IEC4, #U2EIE

	mov	#0x0000, w0
	mov	w0, U2MODE

	mov	#BRGVAL, w0
	mov	w0, U2BRG

	bset	U2MODE, #UARTEN

	bset	U2STA, #UTXEN

/* Associate DMA Channel 0 with UART Tx */
	mov	#0x001F, w0
	mov	w0, DMA0REQ
	mov	#U2TXREG, w0
	mov	w0, DMA0PAD
/* One-Shot, Post-Increment, RAM-to-Peripheral */
	mov	#0x6001, w0
	mov	w0, DMA0CON

	mov	#TxD_buffer, w0
	mov	w0, DMA0STAL
	mov	#0x0000, w0
	mov	w0, DMA0STAH

/* Clear DMA Interrupt Flag */
	bclr	IFS0, #DMA0IF
/* Enable DMA interrupt */
	bset	IEC0, #DMA0IE
	return

__DMA0Interrupt:
	bclr	IFS0, #DMA0IF
	retfie

/* w0 = data len */
Start_UART1_TxD:
	mov	w0, DMA0CNT
ReStart_UART1_TxD:
/* Re-enable DMA0 Channel */
	bset	DMA0CON, #CHEN
/* Manual mode: Kick-start the first transfer */
	bset	DMA0REQ, #FORCE
	return

/* w0 = 0=false 1=true   w1=byte */
GetByte_UART1_RxD:
/* Test rd Error */
	mov	#((1 << OERR)|(1 << FERR)|(1 << PERR)) , w0
	mov	U2STA, w1
	and	w0, w1, w0
	bra	z, 10f

	btst	w1, #OERR
	bra	z, 5f
	bclr	U2STA, #OERR
5:
	btst	w1, #FERR
	bra	z, 6f
	mov	U2RXREG, w1
	bclr	U2MODE, #UARTEN
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	bset	U2MODE, #UARTEN
6:

; TEST_PIN0_TGL
	mov	#0, w0
	return
10:
	btst	w1, #URXDA
	bra	z, 20f
; TEST_PIN0_TGL
	inc	w0, w0
	mov	U2RXREG, w1
20:
;	mov	#0, w0
	return
