
.include "sys.h"
/* ZUE_TIMEOUT = 2000U/min -> 15ms */
	ZUE_TIMEOUT	= 15 * TIMER_FREQ / 1000
/* (1/((1/3900) + (1/4700))) = 2131
  1Digit = 3.3V / 1024 = 0.00322265625V
  1Digit DG = 0.00322265625V * (27000 + 2131) / 2131 = 0.044054V
*/
	DG_TRIGGV	= 91

/*  3900 + (1/((1/4700) + (1/27080)))
    3900 + 4005 = 7905
    1024 * 4005 / 7905 = 518.8
*/
	DG_0V		= 519
/*
	.section .xbss, bss, xmemory
Core_Status:	.space 2

	.section .ybss, bss, ymemory
y_input:  .space 2*2

	.section .nbss, bss, near
var1:     .space 2               ;Example of allocating 1 word of space for
                                 ;variable "var1".
*/

.section .nbss, bss, near
/* Timer Var */
TriggerAnl:	.space 2
UpMin:		.space 2
t180Grad:	.space 2
Off12Grad:	.space 2
GradZuend:	.space 2
tZuend:		.space 2
tZuendCount:	.space 2
tZuendTrigg:	.space 2
.IF USE_DEBUG_UART
t1sec_mk:	.space 2
t1sec:		.space 2

.global TriggerAnl
.global UpMin
.global t180Grad
.global Off12Grad
.global GradZuend
.global tZuend
.global tZuendCount
.global tZuendTrigg
.ENDIF


.section .text
.global main
.global TimerInterrupt

main:
	call	InitDAC1
	call	InitTimer1
.IF USE_DEBUG_UART
	call	InitUART1
	call	rs232ald_Init
.ENDIF
	clr	TriggerTime
	clr	t180Grad
	clr	tZuendTrigg

.IF USE_DEBUG_UART
	mov	#500, w0
	mov	w0, t1sec
	mov	#1500, w0
	mov	w0, t180Grad
.ENDIF

main_loop:
.IF USE_DEBUG_UART
	call	rs232ald_RxD
.ENDIF
	pwrsav	#IDLE_MODE
        bra     main_loop


/* ----------------------- Timer Int. ----------------------------------- 
Only Reg W0,W1,W2,W3 is save

max +3.3V = 1023  +1.65V = 512   0V = 0
Max. Geber +-44V

                      +3.3V
                        |
                       3k9 
                        |
 --> ---390 -+- 27k ----+---> ADC IN
             |          |
            390        4k7 
             |          |
            GND        GND 

 ~ 2.13 / 29.13 = 0.07312 V / V  --> +-20V = ADC IN +-1.46V  (max.+-22V)
 1 Digit = 0.00322265625 V  --> Geber2 0.04407 V
 Geber Triger min. 4V  = 91 Digit

 180 = 1Imp
 750U/min = 750/60 = 12.5U/sec = 25Imp/sec = 40ms/Imp

 2000U/min -> 33.33U/sec -> 83,33us/Grad
 2750U/min -> 45.83U/sec -> 60,60us/Grad
 3500U/min -> 58.33U/sec -> 47,62us/Grad

		 Imp	    12			Zue off
 U/min		  us	 us			us
 2000	17	15000	1000 - (+2)  166 =	834	-> 17
 2750	22	10909	 727 - (+7)  424 =	303	-> 22
 3500	27	 8571	 671 -(+12)  671 =	 0	-> 27
 6250	22	 4800	 320 - (+7)  187 =	133	-> 19 ???
 9000	17	 3333	 222 - (+2)   37 =	185	-> 12 ???
10000	15	 3000	 200 - (+0)    0 =	200	-> 10 ???
------------- korr. 0..6 ------------------------------------------
 6250	23,5	 4800	 320 - (+8,5) 227 =	 93	-> 22
 9000	22	 3333	 222 - (+6,9) 128 =	 94	-> 17
10000	21	 3000	 200 - (+6,0) 100 =	100	-> 15
*/

Bef0:	/* Test Geber -5V */
	mov	#DG_0V - DG_TRIGGV, w0
	cp	w3, w0
	bra	leu, 10f
	return
10:
	clr	TriggerTime
	inc	TimerBef
	return

Bef1:	/* Test Geber +4V and timeout */
	mov	#DG_0V + DG_TRIGGV, w0
	cp	w3, w0
	bra	geu, NextBef
	mov	TriggerTime, w1		/* Test timeout */
	mov	#ZUE_TIMEOUT, w0
	cp	w1, w0
	bra	geu, SetBef0
	return

SetBef0:
	clr	TimerBef
	return

NextBef:
	inc	TimerBef
	return

Bef2:	/* Test Geber -4V + Drehzahl */
	mov	#DG_0V - DG_TRIGGV, w0
	cp	w3, w0
	bra	leu, 10f
	mov	TriggerTime, w1		/* Test timeout */
	mov	#ZUE_TIMEOUT, w0
	cp	w1, w0
	bra	geu, SetBef0
	return
10:
	mov	TriggerTime, w2
	mov	w2, t180Grad
	clr	TriggerTime
	mov	w3, TriggerAnl

.IF USE_TIMER_7_5us
/* 7.5us 4000000 = 3D08FF    UpMin = 4000000 / t180Grad */
	mov	#0x08FF, w0
	mov	#0x003D, w1
.ELSE
/* 10us 3000000 = 2DC6C0    UpMin = 3000000 / t180Grad */
	mov	#0xC6C0, w0
	mov	#0x002D, w1
.ENDIF
	repeat	#17
	div.ud	w0, w2
	mov	w0, UpMin
	inc	TimerBef
	return

Bef3: /* Test 2000 ... 10000U/min */
	mov	UpMin, w0
	mov	#10000, w1
	cp	w0, w1
	bra	gtu, 10f

	mov	#3500, w1
	cp	w0, w1
	bra	geu, UPM_GE3500

	mov	#2000, w1
	cp	w0, w1
	bra	geu, UPM_GE2000
10:
	mov	#1, w0
	mov	w0, TimerBef
	return

UPM_GE2000:	/* 2000=17  3499=27 */
	sub	w0, w1, w0	/* diff = UpMin - 3500 */
/* diff 0=0.0 1500=10.0  K=65536*100/1500 -> 4369 * 2 = 8738 */
	mov	#8738, w1
	mul.uu	w0, w1, w2
	inc	w3, w3
	lsr	w3, #1, w3
	add	w3, #20, w3	/* 0-10 + 2 */
	mov	w3, GradZuend
	inc	TimerBef
; ZUEND_ON
	return

UPM_GE3500:	/* 3500=27  10000=15 */
	sub	w0, w1, w0	/* diff = UpMin - 3500 */
.IF 1
/*
Zwischen Theorie und Praxis besteht ein unterschied
bei 9000U/min verschiebt sich die 27 Marke nach ca. 22 ???  = +92,6us ???
 
Gemessen auf der Schwungscheibe:
            Theorie     Praxis
9000U/min  27 - 10  = ca. 12
9000U/min  27 - 5,1 = ca. 17 (und Motor luft wieder krftig)

TODO: Ermittlung der Geber Spule Induktivitt
      zB.: Geber Induktivitt von ca. 350mH whre eine Erklrung
           Einfache Korr. 100us * U/min / 10000U/min = tGeberOff in us
           Oder Geber Eingang hochohmig gestalten 

           Jedoch erfllt die derzeitige Lsung hnliches 
           und der Motor luft nach ersten Testfahrten gut.
           (Ich will das derzeit nicht nachrechnen 21.08.2014)

-------------------------------------------------------------------
 diff 0=6.0Grad 6500=0.0Grad  K=65536*60/6500 -> 605 * 2 = 1210
*/
	mov	#1210, w1
	mul.uu	w0, w1, w2
	inc	w3, w3
	lsr	w3, #1, w3
	mov	#120, w0	/* GradZuend = 120 - w3 */
.ELSE
/* diff 0=12.0 6500=0.0  K=65536*120/6500 -> 1210 * 2 = 2420 */
	mov	#2420, w1
	mul.uu	w0, w1, w2
	inc	w3, w3
	lsr	w3, #1, w3
	mov	#120, w0	/* GradZuend = 120 - w3 */
.ENDIF
	sub	w0, w3, w0
	mov	w0, GradZuend
	inc	TimerBef
; ZUEND_ON
	return

Bef4:	/* Math Offset 12 */
; ZUEND_OFF
	mov	TriggerAnl, w0
	cp	w3, w0
	bra	gtu, 10f
	mov	w3, TriggerAnl
10:
	mov	#120, w2	/* Offset 12.0 */
	mov	t180Grad, w3
	mul.uu	w2, w3, w0	/* ul = 12.0 * t180 */
	mov	#1800, w2
	repeat	#17
	div.ud	w0, w2		/* Off12Grad = ul / 1800 */
	mov	w0, Off12Grad
	inc	TimerBef
	return

Bef5:	/* Math tZuend 0...12 */
; ZUEND_OFF
	mov	TriggerAnl, w0
	cp	w3, w0
	bra	gtu, 10f
	mov	w3, TriggerAnl
10:
	mov	GradZuend, w2
	mov	t180Grad, w3
	mul.uu	w2, w3, w0	/* ul = GradZuend * t180Grad */
	mov	#1800, w2
	repeat	#17
	div.ud	w0, w2		/* tZuend = ul / 1800 */
	mov	w0, tZuend
	inc	TimerBef
	return

Bef6:	/* Test 27 */
	mov	TriggerAnl, w0
	cp	w3, w0
	bra	gtu, 10f
	mov	w3, TriggerAnl
	return
10:   /* Test Geber > TriggerAnl + (TriggerV / 16) */
	mov	#DG_0V, w1
	sub	w1, w0, w1	/* TriggerV = 0V (518) - TriggerAnl */
	asr	w1, #4, w1	
	add	w0, w1, w0	/* TriggerAnl + TriggerV / 16 */
	cp	w3, w0
	bra	leu, 99f
/* Set Zndparameter p = ~ 27 */
; ZUEND_ON
	mov	tZuend, w0
	mov	Off12Grad, w1
	sub	w1, w0, w0	/* tZuendCount = Offset - tZuend */
	mov	w0, tZuendCount
	inc	TimerBef
99:
	return

Bef7:	/* Wait Zuendung On */
; ZUEND_OFF
	cp0	tZuendCount
	bra	z, 10f
	dec	tZuendCount
	return
10:
	ZUEND_ON
.IF USE_TIMER_7_5us
	mov	#4, w0
.ELSE
	mov	#3, w0
.ENDIF
	mov	w0, tZuendTrigg
	inc	TimerBef
	return

Bef8:	/* Wait Zuendung Off */
	cp0	tZuendTrigg
	bra	z, 10f
	dec	tZuendTrigg
	return
10:
	ZUEND_OFF
	mov	#1, w0
	mov	w0, TimerBef
	return


.section .const, psv
.global Timer_proc

Timer_proc:
	.dc	Bef0,		Bef1,		Bef2,		Bef3
	.dc	Bef4,		Bef5,		Bef6,		Bef7
	.dc	Bef8,		Bef0,		Bef0,		Bef0
	.dc	Bef0,		Bef0,		Bef0,		Bef0
