
.include "sys.h"

	CTL_TOGGLE = 0x10
	CTL_4x = 0x20
	bCTL_4x = 5

	RSBEF_SYNC	= 0x01
	RSBEF_OK	= 0x02
	RSBEF_ERROR	= 0x03
	RSERR_BEF_SIZE	= 0x04
	RSERR_ADDR_FAULT = 0x05
	RSERR_LEN_OVERFLOW = 0x06
	RSERR_READ_ONLY = 0x07

	RSERR_CRC	= 0x01
	RSERR_BUFLEN	= 0x02
	RSERR_UNKNOWN_BEF = 0x03
	RSBEF_GET_INFO	= 0x04
	RSBEF_READ_DATA = 0x08

.section .nbss, bss, near
RxD_Step:	.space 2
TxD_0:		.space 2
RxD_Err:	.space 2
RxD_tgl:	.space 2
RxD_t_ms:	.space 2
RxD_Bef:	.space 2
RxD_len:	.space 2
RxD_ctl:	.space 2
RxD_sum:	.space 2
RxD_idx:	.space 2

.section .text
.global rs232ald_Init
.global rs232ald_RxD
.global rs232ald_TxD

rs232ald_Init:
	mov	#0x0000, w0
	mov	w0, RxD_Step
	mov	w0, TxD_0
	mov	w0, RxD_Err
	mov	#CTL_TOGGLE, w0
	mov	w0, RxD_tgl
	mov	t_ms, w0
	mov	w0, RxD_t_ms
	return

/*
unsigned int GetCtlCRC(unsigned int dlen, unsigned int bef, unsigned int ctl)
w0=dlen w1=bef w2=ctl
*/
GetCtlCRC:
; return ((bef + dlen) ^ ~((bef + dlen + (ctl & 0xf0)) >> 4)) & 0x0f;
	add	w1, w0, w1
	and	#0xf0, w2
	add	w1, w2, w2
	lsr	w2, #0x4, w2
	com	w2, w2
	xor	w1, w2, w1
	and	w1, #0xf, w0
	return

rs232ald_RxD:
/* Test Timeout 300ms */
	mov	t_ms, w1
	mov	RxD_t_ms, w0
	sub	w1, w0, w2
	mov	#300, w0
	sub	w2, w0, w0
	bra	le, NoTineout
	mov	w1, RxD_t_ms
 TEST_PIN0_TGL
	bra	ResetRxD
NoTineout:
/* Test Send Error + 25ms */
	mov	RxD_Err, w0
	cp0	w0
	bra	z, RxDLoop
	sub	w2, #25, w2
	bra	ge, SendErr
RxDLoop:
	call	GetByte_UART1_RxD
	cp0	w0
	bra	z, RetRxD

	mov	RxD_Step, w0
	cp0	w0
	bra	z, Step0
	dec	w0, w0
	bra	z, Step1
	dec	w0, w0
	bra	z, Step2
	dec	w0, w0
	bra	z, Step3
	mov	RxD_Err, w0	/* Test Error */
	cp0	w0
	bra	nz, RxDLoop
	mov	RxD_len, w0
	mov	RxD_idx, w2
	cp	w0, w2
	bra	z, StepSum
/* Add n Byte */
	mov	#RxD_buffer, w0
	mov.b	w1, [w2+w0]
	inc	w2, w2
	mov	w2, RxD_idx
	mov	w1, w0
	add	RxD_sum
	bra	RxDLoop

Step0:			/* read start byte 0xff */
/* test start byte 0xff */
	inc.b	w1, w1
	bra	nz, RxDLoop
Step_inc:
	inc	RxD_Step
	bra	RxDLoop
Step1:			/* read Bef */
	mov	w1, RxD_Bef
	add	#0x39, w1
	mov	w1, RxD_sum
	bra	Step_inc
Step2:			/* read len */
	mov	#252, w0
	sub	w1, w0, w0
	bra	gtu, ResetRxD
	mov	w1, RxD_len
	mov	w1, w0
Step_inc_sum:
	add	RxD_sum
	inc	RxD_Step
	bra	RxDLoop
Step3:			/* read ctl */
	clr	RxD_idx
	mov	w1, RxD_ctl
	mov	w1, w3
	mov	w1, w2
	mov	RxD_len, w0
	mov	RxD_Bef, w1
	call	GetCtlCRC
	and	w3, #0x0f, w1
	cp.b	w0, w1
	bra	nz, ResetRxD
	btst	w3, #bCTL_4x
	bra	z, 10f
	mov	RxD_len, w0
	sl	w0, #2, w0
	mov	w0, RxD_len
	mov	#MAX_RS_BUFFER, w1
	sub	w0, w1, w1
	bra	leu, 10f
	mov	#RSERR_BUFLEN, w0	/* RxD_Err = RSERR_BUFLEN; */
	mov	w0, RxD_Err
10:
	mov	w3, w0
	bra	Step_inc_sum
StepSum:
	mov	RxD_sum, w0
	cp.b	w0, w1		;Chk CRC
	bra nz, SendErr_CRC
; btg	PORTG, #9
	mov	RxD_Bef, w0
	cp.b	w0, #RSBEF_SYNC
	bra	nz, 10f
	call	px02_Ok
	clr	TxD_0		;Clr Data in TxD_buffer
	return
10:
	cp0	TxD_0		;Test Data in TxD_buffer
	bra	z, 20f
	mov	RxD_ctl, w0	;Test tgl Ok
	and	w0, #CTL_TOGGLE, w0
	cp	RxD_tgl
	bra	nz, 20f
	call	ReStart_UART1_TxD
	bra	ResetRxD
20:
	mov	RxD_ctl, w0	;Save tgl
	and	w0, #CTL_TOGGLE, w0
	mov	w0, RxD_tgl
	mov	RxD_Bef, w0
	cp	w0, #31
	bra	gtu, SendErr_UNKNOWN_BEF
	add	w0, w0, w0
	mov	#RxDproc, w1
	mov	[w0+w1], w0
	cp0	w0
	bra	z, SendErr_UNKNOWN_BEF
	call	w0

ResetRxD:
	mov	#0x0000, w0
	mov	w0, RxD_Step
	mov	w0, RxD_Err
RetRxD:
	return

/* W0=Bef W1=len */
rs232ald_TxD:
	mov.d	w8, [w15++]
	mov	w10, [w15++]
	and	#0xff, w0
	mov	w0,w8
	mov	w1,w9
	clr	RxD_Step
	clr	RxD_Err
	mov	#MAX_RS_BUFFER, w2
	sub	w9, w2, w2
	bra	gtu,TxD_ret_false

	clr	w2
	btst	w0, #bCTL_4x
	bra	z, 10f
	mov	#CTL_4x, w2
10:
	mov	RxD_tgl, w3
	ior	w2, w3, w2
	mov	w2, w10
	call	GetCtlCRC
	ior	w0, w10, w10
	mov	#TxD_buffer, w2
	setm.b	[w2++]
	mov.b	w8, [w2++]
	mov.b	w9, [w2++]
	mov.b	w10, [w2++]
	mov	#0x39, w1
	add	w8, w1, w1
	add	w9, w1, w1
	add	w10, w1, w1
	cp0	w9
	bra	z, 20f
	mov	w9,w3
14:
	mov.b	[w2++], w0
	add	w0, w1, w1
	dec	w3, w3
	bra	nz, 14b
20:
	mov.b	w1, [w2++]
	mov	w9, w0
	add	#4, w0
	call	Start_UART1_TxD
	mov	#1, w0
	bra	TxD_ret
TxD_ret_false:
	clr	w0
TxD_ret:
	mov	[--w15], w10
	mov.d	[--w15], w8
	return


/* ---------------------- ERROR ----------------------------------------- */
SendErr_READ_ONLY:
	mov	#RSERR_READ_ONLY, w0
	bra	SendErr
SendErr_LEN_OVERFLOW:
	mov	#RSERR_LEN_OVERFLOW, w0
	bra	SendErr
SendErr_ADDR_FAULT:
	mov	#RSERR_ADDR_FAULT, w0
	bra	SendErr
SendErr_BEF_SIZE:
	mov	#RSERR_BEF_SIZE, w0
	bra	SendErr
SendErr_UNKNOWN_BEF:
	mov	#RSERR_UNKNOWN_BEF, w0
	bra	SendErr
SendErr_BUFLEN:
	mov	#RSERR_BUFLEN, w0
	bra	SendErr
SendErr_CRC:
	mov	#RSERR_CRC, w0

/* w0=Error Nr */
SendErr:
	mov	#TxD_buffer + 4, w1
	mov.b	w0, [w1]
	mov	#RSBEF_ERROR, w0
	mov	#1, w1
	bra	rs232ald_TxD

/* ---------------------- Send Data ------------------------------------- */
px02_Ok:
	mov	#RSBEF_OK, w0
	clr	w1
	bra	rs232ald_TxD

px04_Info:
	mov	RxD_len, w0
	cp	w0, #1
	bra	nz, SendErr_UNKNOWN_BEF
	cp0.b	RxD_buffer
	bra	nz, SendErr_UNKNOWN_BEF
	mov	#TxD_buffer + 4, w0
	mov	#Info0, w1
	mov	#14, w2
	call	pnmove
	call	GetDevID
	mov	w0, TxD_buffer + 6;
	mov	w1, TxD_buffer + 8;
	mov	#RSBEF_GET_INFO, w0
	mov	#14, w1
	bra	rs232ald_TxD

px08_RdData:
	mov	RxD_buffer + 2, w2
	mov	RxD_buffer + 4, w3
	ze	w3, w3

	mov	RxD_len, w0
	cp	w0, #5		/* addr = 4Byte */
	bra	z, 10f
	cp	w0, #4		/* addr = 3Byte */
	bra	nz, SendErr_BEF_SIZE
	ze	w2, w2
	mov.b	RxD_buffer + 3, WREG
	mov	w0, w3
10:
	cp0	w2		/* TODO addr > 0xffff */
	bra	nz, SendErr_ADDR_FAULT
	mov	#MAX_RS_BUFFER - 4, w0
	cp	w3, w0
	bra	gtu, SendErr_LEN_OVERFLOW

	mov	RxD_buffer, w1
	mov	w3, w2
	mov	#TxD_buffer + 4, w0
	push	w3
	call	pnmove
	pop	w1
	mov	#RSBEF_READ_DATA, w0
	bra	rs232ald_TxD

px0C_WrData:
	mov	RxD_len, w0
	cp	w0, #4		/* addr = 3Byte */
	bra	ltu, SendErr_BEF_SIZE
	bra	z, px02_Ok
	mov	RxD_buffer, w0
	mov	RxD_buffer + 2, w3
	cp0	w3		/* TODO addr > 0xffff */
	bra	nz, SendErr_ADDR_FAULT
	mov	#0x45, w1
	sub	w0, w1, w1
	bra	leu, SendErr_READ_ONLY
	mov	#MAX_RAM, w1
	sub	w0, w1, w1
	bra	geu, SendErr_READ_ONLY
	mov	#RxD_buffer + 4, w1
	mov	RxD_len, w2
	sub	w2, #4, w2
	call	pnmove
	bra	px02_Ok

.section .const, psv
RxDproc:
	.dc	0,		0,		px02_Ok,	0
	.dc	px04_Info,	0,		0,		0
	.dc	px08_RdData,	0,		0,		0
	.dc	px0C_WrData,	0,		0,		0
	.dc	0,		0,		0,		0
	.dc	0,		0,		0,		0
	.dc	0,		0,		0,		0
	.dc	0,		0,		0,		0
Info0:
	.dc	(CPU_FACTORY << 8), 	0,	0,	INFO_DataArt
	.dc	0,		0,		0
